﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WaveAce (1 yr) Int Trig Sens VER DOS /9500
INSTRUMENT:            Sub LeCroy WaveAce (1 yr) Ext Trig Sens VER DOS /9500
INSTRUMENT:            Sub LeCroy WaveAce (1 yr) Ext Trg Sns VER DOS /9500+1Hd
DATE:                  2011-01-31 09:20:37
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       250
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#      FL, DAC, CAD
#
#  Model(s) Covered:
#      WaveAce 101, 102, 112, 202, 204, 212, 214, 222, 224, 232, 234
#
#  Source:
#      Lecroy WaveAce Performance Verification, Rev F
#
#  Compatibility:
#      MET/CAL 7.3 or later
#
#  Subprocedures:
#      Sub LeCroy WaveAce Select Channel & Trig Src DOS
#      Sub LeCroy WaveAce Send Command DOS
#
#  Required Files
#      WaveAce.exe
#
#  Additional Equipment Required:
#      None
#
#  Due to OEM's policy of continuously updating products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, we cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Due to the nature of these tests, only 1 reading is required.
  1.001  VSET         NTHROW = 0; NMEAS = 1

# Establish instructions for all Trigger Sensitivity tests.
  1.002  MESS         If necessary, press the FORCE key on the UUT front
  1.002  MESS         panel, then adjust trigger level to attain a stable,
  1.002  MESS         triggered signal.
  1.002  MESS

  1.003  JMPL         INTERNAL                    PSUBI("Int Tr")
  1.004  JMPL         EXTERNAL                    PSUBI("Ext Tr")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment test number


# Sub LeCroy WaveAce (1 yr) Int Trigger VER DOS /9500 ========================

  2.001  LABEL        INTERNAL

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  HEAD         {TRIGGER SENSITIVITY}
  2.005  ENDIF

  2.006  RSLT         =
  2.007  HEAD         TRIGGER SENSITIVITY: {Channel [V @Chan]}
  2.008  MATH         @Head2 = "Positive Slope @ 10 MHz"

  2.009  RSLT         =
  2.010  TARGET
  2.011  HEAD         -2 [V @Head2]
  2.012  DOS          -x WaveAce.exe [V @DataPath] *RST
  2.013  CALL         Sub LeCroy WaveAce Select Channel & Trig Src DOS

  2.014  MATH         @CmdFunc = "C" & @Chan & ":TRSL"; @CmdType = "POS"
  2.015  CALL         Sub LeCroy WaveAce Send Command DOS

  2.016  MATH         @CmdFunc = "C" & @Chan & ":VDIV"; @CmdType = "0.5"
  2.017  MATH         @CmdType2 = "500MV"
  2.018  CALL         Sub LeCroy WaveAce Send Command DOS

  2.019  MATH         @CmdFunc = "TDIV"; @CmdType = "50NS"
  2.020  CALL         Sub LeCroy WaveAce Send Command DOS

  2.021  IF           @Bandwidth >= 200E+6
  2.022  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "D50"
  2.023  CALL         Sub LeCroy WaveAce Send Command DOS
  2.024  9500         500mVpp                      10MH           LS    S  L
  2.025  ELSE
  2.026  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "D1M"
  2.027  CALL         Sub LeCroy WaveAce Send Command DOS
  2.028  9500         500mVpp                      10MH           LS    S
  2.029  ENDIF

  2.030  WAIT         [D2000]

# Beep for operator intervention.
  2.031  HEAD         TRIGGER SENSITIVITY: Channel [V @Chan][7][7][D250][7][7]

  2.032  MEM2         = Positive Slope @ 10 MHz
  2.033  EVAL   -s MEM2 : Is the UUT triggering stable?


# Positive slope, maximum bandwidth.
  3.001  MATH         Frequency = @Bandwidth / 1E+6
  3.002  MATH         @Head2 = "Positive Slope @ " & Frequency & " MHz"
  3.003  HEAD         -2 [V @Head2]

  3.004  MATH         @CmdFunc = "TDIV"; @CmdType = "10NS"
  3.005  CALL         Sub LeCroy WaveAce Send Command DOS

  3.006  MATH         MEM = @Bandwidth

  3.007  IF           @Bandwidth >= 200E+6
  3.008  9500         750mVpp                      H              LS    S  L
  3.009  ELSE
  3.010  9500         750mVpp                      H              LS    S
  3.011  ENDIF

  3.012  WAIT         [D2000]
  3.013  MEM2         = Positive Slope @ [V Frequency] MHz
  3.014  EVAL   -s MEM2 : Is the UUT triggering stable?

# Negative slope, maximum bandwidth.
  4.001  MATH         @Head2 = "Negative Slope @ " & Frequency & " MHz"
  4.002  HEAD         -2 [V @Head2]

  4.003  MATH         @CmdFunc = "C" & @Chan & ":TRSL"; @CmdType = "NEG"
  4.004  CALL         Sub LeCroy WaveAce Send Command DOS

  4.005  MATH         MEM = @Bandwidth

  4.006  IF           @Bandwidth >= 200E+6
  4.007  9500         750mVpp                      H              LS    S  L
  4.008  ELSE
  4.009  9500         750mVpp                      H              LS    S
  4.010  ENDIF

  4.011  WAIT         [D2000]
  4.012  MEM2         = Negative Slope @ [V Frequency] MHz
  4.013  EVAL   -s MEM2 : Is the UUT triggering stable?

  5.001  HEAD
  5.002  HEAD         -2
  5.003  MATH         DEL("@Head2")
  5.004  M9500        *
  5.005  9500         *                                                 S
  5.006  VSET         NTHROW = [V @NThrow]; NMEAS = [V @NMeas]
  5.007  MESS
  5.008  END


# Sub LeCroy WaveAce (1 yr) Ext Trigger VER DOS /9500 ========================

  5.009  LABEL        EXTERNAL

  5.010  RSLT         =
  5.011  HEAD         TRIGGER SENSITIVITY: {External}
  5.012  RSLT         =
  5.013  TARGET
  5.014  MATH         Frequency = @Bandwidth / 1E+6
  5.015  MATH         @Head2 = "Positive Slope @ " & Frequency & " MHz"
  5.016  HEAD         -2 [V @Head2]

  5.017  DOS          -x WaveAce.exe [V @DataPath] *RST

  5.018  MATH         @CmdFunc = "TRSE"; @CmdType = "EDGE,SR,EX"
  5.019  CALL         Sub LeCroy WaveAce Send Command DOS

  5.020  MATH         @CmdFunc = "C" & @Chan & ":VDIV"; @CmdType = "0.1V"
  5.021  MATH         @CmdType2 = "100MV"
  5.022  CALL         Sub LeCroy WaveAce Send Command DOS

  5.023  MATH         @CmdFunc = "TDIV"; @CmdType = "10NS"
  5.024  CALL         Sub LeCroy WaveAce Send Command DOS

  5.025  IF           @Bandwidth >= 200E+6
  5.026  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "D50"
  5.027  CALL         Sub LeCroy WaveAce Send Command DOS
  5.028  ELSE
  5.029  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "D1M"
  5.030  CALL         Sub LeCroy WaveAce Send Command DOS
  5.031  ENDIF

  5.032  TARGET       -p

  5.033  MATH         @CmdFunc = "EX:TRSL"; @CmdType = "POS"
  5.034  CALL         Sub LeCroy WaveAce Send Command DOS

  5.035  MATH         MEM = @Bandwidth

# The 9500+1Hd test is performed through a power splitter and requires a
# higher source amplitude to achieve "approximately 300 mVpp" at the UUT.
# We are taking the test frequency from MEM, so we cannot also supply the
# test amplitude in a register.
  5.036  IF           PSUBI("9500+1Hd")
  5.037  9500         500mVpp                      H              LS    S  L
  5.038  ELSEIF       @Bandwidth >= 200E+6
  5.039  9500         300mVpp                      H              LS    S  L
  5.040  ELSE
  5.041  9500         300mVpp                      H              LS    S
  5.042  ENDIF

  5.043  WAIT         [D2000]
  5.044  MEM2         = Positive Slope @ [V Frequency] MHz
  5.045  EVAL   -s MEM2 : Is the UUT triggering stable?

# Negative slope.
  6.001  MATH         @Head2 = "Negative Slope @ " & Frequency & " MHz"
  6.002  HEAD         -2 [V @Head2]

  6.003  MATH         @CmdFunc = "EX:TRSL"; @CmdType = "NEG"
  6.004  CALL         Sub LeCroy WaveAce Send Command DOS

  6.005  MATH         MEM = @Bandwidth

  6.006  IF           PSUBI("9500+1Hd")
  6.007  9500         500mVpp                      H              LS    S  L
  6.008  ELSEIF       @Bandwidth >= 200E+6
  6.009  9500         300mVpp                      H              LS    S  L
  6.010  ELSE
  6.011  9500         300mVpp                      H              LS    S
  6.012  ENDIF

  6.013  WAIT         [D2000]
  6.014  MEM2         = Negative Slope @ [V Frequency] MHz
  6.015  EVAL   -s MEM2 : Is the UUT triggering stable?


  7.001  HEAD
  7.002  HEAD         -2
  7.003  MATH         DEL("@Head2")
  7.004  M9500        *
  7.005  9500         *                                                 S
  7.006  VSET         NTHROW = [V @NThrow]; NMEAS = [V @NMeas]
  7.007  MESS
  7.008  END

